.page-profile--header {
	display: flex;
	align-items: center;
	gap: 12px;
	background: var(--comet-50);
	padding: 12px 16px;
	border-radius: 12px;
	margin-bottom: 16px;
	order: -2;
}

.page-profile--header-avatar {
	flex-shrink: 0;
}

.page-profile--header-avatar img {
	width: 100%;
	height: 50px;
	object-fit: cover;
	border-radius: 50%;
}

.page-profile--header-body {
	margin-right: auto;
}

.page-profile--header-nickname {
	display: flex;
	align-items: flex-start;
	flex-direction: column;
	gap: 4px;
	font-size: 16px;
	font-weight: 600;
	line-height: 20px;
}

.page-profile--header-nickname span {
	font-size: 12px;
	color: #fff;
	background: var(--electric-violet-500);
	padding: 2px 4px;
	border-radius: 2px;
	line-height: 15px;
}

.page-profile--header-register {
	font-size: 14px;
	color: var(--whisper-500);
	line-height: 17px;
	margin-top: 4px;
}

.page-profile--header-btn {
	padding: 0;
	width: 40px;
	height: 40px;
}

.page-profile--header-btn span {
	display: none;
}

@media (max-width: 767.98px) {
	.page-profile--header-btn {
		flex-shrink: 0;
	}
}

@media (min-width: 768px) {
	.page-profile--header {
		gap: 20px;
		grid-gap: 20px;
		padding: 12px 24px;
		margin-bottom: 24px;
	}

	.page-profile--header-avatar img {
		height: 64px;
	}

	.page-profile--header-nickname {
		align-items: center;
		flex-direction: row;
		gap: 8px;
	}

	.page-profile--header-register {
		margin-top: 10px;
	}

	.page-profile--header-btn {
		max-width: 243px;
		width: 100%;
		height: 50px;
	}

	.page-profile--header-btn span {
		display: block;
	}
}